summaryrefslogtreecommitdiff
path: root/os/windows/_domake.sh
diff options
context:
space:
mode:
Diffstat (limited to 'os/windows/_domake.sh')
-rwxr-xr-xos/windows/_domake.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/os/windows/_domake.sh b/os/windows/_domake.sh
new file mode 100755
index 00000000..05625ff4
--- /dev/null
+++ b/os/windows/_domake.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+set -e
+
+cd "$2"
+cd ../..
+if [ -e "fio.exe" ]; then
+ make clean
+fi
+
+if [ "$1" = "x86" ]; then
+ ./configure --disable-native --build-32bit-win
+else
+ ./configure --disable-native
+fi
+
+make -j